Bug 1411966 - request package rename to docker-client-java
Summary: request package rename to docker-client-java
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: docker-client
Version: 26
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jeff Johnston
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1412008 1473851
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-10 21:04 UTC by Lokesh Mandvekar
Modified: 2017-07-25 20:31 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-07-25 20:31:53 UTC
Type: Bug


Attachments (Terms of Use)

Description Lokesh Mandvekar 2017-01-10 21:04:30 UTC
Description of problem:

The 'docker' package plans to break out its client binary into a 'docker-client' subpackage, but I see there's already a 'docker-client' pre-existing. This is a request to get the current 'docker-client' renamed (possibly to 'docker-client-java') to avoid conflicts.

This change is currently planned only for rawhide.

Comment 1 Fedora End Of Life 2017-02-28 10:55:34 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 26 development cycle.
Changing version to '26'.

Comment 2 Roland Grunberg 2017-07-21 18:19:16 UTC
It seems this has slipped through ? Is this still needed ?

The re-review request as docker-client-java was approved so if the 'docker-client' subpackage (from the docker srpm) is still planned then all that's needed is an SCM request.

Comment 3 Lokesh Mandvekar 2017-07-21 18:32:20 UTC
Thanks Roland.

Jeff could you please request a dist-git for 'docker-client-java' and move the current 'docker-client' to it?

Comment 4 Jeff Johnston 2017-07-21 21:18:20 UTC
(In reply to Lokesh Mandvekar from comment #3)
> Thanks Roland.
> 
> Jeff could you please request a dist-git for 'docker-client-java' and move
> the current 'docker-client' to it?

I scheduled a re-review due to the staleness of the old package.  It should not take long.

Comment 5 Mat Booth 2017-07-25 20:31:53 UTC
Looks like this is done now, closing.

Package was renamed in F27 and newer.


Note You need to log in before you can comment on or make changes to this bug.